1. Transactions
Freedom Pay
  • Overview
  • Gateway API
    • Overview
    • Sync API
      • Overview
      • Purchase
        • Overview
        • Create payment
        • Any amount
        • Card
        • 3DSecure
        • Recurrent
        • Cancel
        • Clearing
        • Refund
        • Status
      • Payout
        • Overview
        • Card
        • IBAN
        • Balance
        • Status
      • Transfer
        • Overview
        • Card
        • 3DSecure
        • Rates
        • Status
      • Card
        • Overview
        • Add
        • 3DSecure
        • List
        • Remove
        • Status
      • Token
        • Overview
        • Token Pay
        • Apple Pay
        • Google Pay
        • Token Payout
        • Status
    • Async API
      • Overview
      • create
        • create payment
      • read
        • read payment
        • read request
      • edit
        • edit payment.refund
        • edit payment.reverse
        • edit payment.clearing
  • Merchant API
    • Overview
    • Purchase
      • Overview
      • Checkout
      • Card token
        • Overview
        • Tokenize card
        • Delete token
        • Card token list
        • Create payment (with CVC)
        • Confirm payment (with CVC)
        • Create payment
        • Confirm payment
      • Create payment
      • Any amount
      • Reccuring payment
      • Cancel payment
      • Clearing
      • Refund payment
      • Status
    • Payout
      • Overview
      • Card token
        • Tokenize card
        • Delete token
        • Card token list
        • Create payment
      • Create payment
      • IBAN
      • Balance status
      • Status
    • Mobile balance
      • Overview
      • Init
      • Pay
      • Approve
      • Resend code
      • Status
    • Invoice
      • Overview
      • Create invoice
      • Info
      • Refund
      • Status
      • Cancel
    • SDK
      • JS SDK
      • Merchant SDK
        • Google Pay
        • Android
        • IOS
    • CMS
      • Overview
      • Get Merchant ID and key
      • WordPress
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
        • Update
      • Tilda
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • InSales
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • Ecwid
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • Bitrix
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • PrestaShop
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
      • OpenCart
        • Overview
        • Installation
        • Configuration
        • Test
        • Live payments
    • Redirect back
      POST
    • Result notify
      POST
    • Payout notify
      POST
    • Check request
      POST
  • Card API
    • Overview
    • Batch
      • Create batch
    • Client
      • Card link
      • Сards' list
      • Create client
      • Client info
      • Update client
      • Verify client
    • Transactions
      • Create transaction
        POST
      • Create transaction (depricated)
        POST
      • Clearing transaction
        POST
      • Refund transaction
        POST
      • Transaction info
        POST
      • Transaction status (depricated)
        POST
      • Transaction status
        POST
    • Card
      • Activate card
      • Block card
      • Balance
      • Card info
      • Card update
      • Card tokenization
      • Close card
      • Find card
      • Issue card
      • Issue plastic card
      • Operations' list
      • Reset PIN counter
      • Statement extended
      • Set PIN
      • Secret data
      • Unblock card
    • Limits
      • Limits list
      • Set limits
    • Bulk issue
      POST
    • Cardholder validation
      POST
    • Request' status
      POST
  • Partner API
    • Rates
      • Overview
      • Rates
    • Products
      • Overview
      • Dictionaries
      • Add client with product
      • Client request status
      • Create terminal
      • Update terminal limits
      • Product request status
    • E-Money
      • Overview
      • Add
      • Owner identification
      • Info
      • Close
      • Block
      • Balance
      • Statement
      • Request Status
    • Device ID
      • Android SDK
      • iOS SDK
    • Implement SuperApp
      • Overview
      • Pay
      • Refund
    • Account
      • Overview
      • Create payment
      • Payment status
      • Batch statuses
      • Statement
      • Statement status
      • Balance
      • Balance status
    • Invoices
      • Info
  1. Transactions

Create transaction (depricated)

POST
https://api.freedompay.kz/v5/card-api/transaction/create
This method is designed to create a transaction batch within a single request or to create a single transaction. This method is asynchronous: the batch is registered upon request, and the actual transaction processing is performed by the system later. The payer and recipient parameters must contain encrypted data encoded in Base64 format. Encryption must be performed using the RSA algorithm with PKCS#1 v1.5 padding and the partner's RSA public key. To recover the original data, it must first be decoded from Base64 and then decrypted using the partner's RSA private key with RSA PKCS#1 v1.5 padding.

Request

Body Params application/json

Example
{
    "request_id": "019ab688-bef2-72c4-6a29-d0e08be76d95",
    "transaction": {
        "order_id": "string",
        "description": "string",
        "type": "debit"
    },
    "debit": {
        "amount": 0,
        "currency": "KZT",
        "terminal_number": "string",
        "additional_amount": [
            {
                "type": "fee",
                "amount": 0,
                "currency": "KZT"
            }
        ],
        "client": {
            "client_id": "string",
            "phone": "string"
        },
        "card": {
            "card_id": "66f6e46c-f6a1-4af8-a1bd-49666bc01304",
            "card_pan": "string",
            "card_cvc": "123",
            "card_month": "05",
            "card_year": "30",
            "name": "string"
        },
        "account": {
            "number": "string"
        }
    },
    "credit": {
        "amount": 0,
        "currency": "KZT",
        "terminal_number": "string",
        "additional_amount": [
            {
                "type": "fee",
                "amount": 0,
                "currency": "KZT"
            }
        ],
        "client": {
            "client_id": "string",
            "phone": "string"
        },
        "card": {
            "card_id": "66f6e46c-f6a1-4af8-a1bd-49666bc01304",
            "card_pan": "string",
            "card_cvc": "123",
            "card_month": "05",
            "card_year": "30",
            "name": "string"
        },
        "account": {
            "number": "string"
        }
    },
    "additional": [
        {
            "key": "device_os_type",
            "value": "string"
        }
    ]
}

Responses

🟢200Success
application/json
Body

Example
{
    "status": "ok",
    "request_status": "success",
    "dt": "2025-01-01T00:01:01+00:30"
}
Previous
Create transaction
Next
Clearing transaction